Update feedback
curl --request PUT \
--url https://{host}/customerfeedback/v1/Feedback \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"receiptId": "<string>",
"rating": 5,
"options": [
"<string>"
],
"message": "<string>"
}
'import requests
url = "https://{host}/customerfeedback/v1/Feedback"
payload = {
"receiptId": "<string>",
"rating": 5,
"options": ["<string>"],
"message": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({receiptId: '<string>', rating: 5, options: ['<string>'], message: '<string>'})
};
fetch('https://{host}/customerfeedback/v1/Feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"thankYouMessage": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Update feedback
Updates an existing customer feedback entry for a specific receipt and member.
This endpoint allows modifying the rating, options, message, and state of previously submitted feedback. The feedback is identified by the combination of memberId and receiptId from the original submission.
PUT
/
v1
/
Feedback
Update feedback
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
The unique identifier of the member who created the feedback
Body
application/jsontext/jsonapplication/*+json
The request body for updating the feedback
Request model for updating customer feedback
The receipt unique identifier associated with the feedback
Maximum string length:
50Customer rating score (1-10)
Required range:
1 <= x <= 10Available options:
None, Open, Closed Optional feedback options selected by the customer
Optional feedback message from the customer
Maximum string length:
500Last modified on August 10, 2026